Loading...
Searching...
No Matches
AVVideoEncParams Struct Reference

Video encoding parameters for a given frame. More...

`#include <libavutil/video_enc_params.h>`

## Data Fields

unsigned int | nb_blocks
| Number of blocks in the array.
size_t | blocks_offset
| Offset in bytes from the beginning of this structure at which the array of blocks starts.
size_t | block_size
enum AVVideoEncParamsType | type
| Type of the parameters (the codec they are used with).
int32_t | qp
| Base quantisation parameter for the frame.
int32_t | delta_qp [4][2]
| Quantisation parameter offset from the base (per-frame) qp for a given plane (first index) and AC/DC coefficients (second index).

## Detailed Description

Video encoding parameters for a given frame.

This struct is allocated along with an optional array of per-block AVVideoBlockParams descriptors. Must be allocated with av_video_enc_params_alloc().

Definition at line 73 of file video_enc_params.h.

## Field Documentation

## nb_blocks

unsigned int AVVideoEncParams::nb_blocks

Number of blocks in the array.

May be 0, in which case no per-block information is present. In this case the values of blocks_offset / block_size are unspecified and should not be accessed.

Definition at line 81 of file video_enc_params.h.

## blocks_offset

size_t AVVideoEncParams::blocks_offset

Offset in bytes from the beginning of this structure at which the array of blocks starts.

Definition at line 86 of file video_enc_params.h.

Referenced by av_video_enc_params_block().

## block_size

size_t AVVideoEncParams::block_size

Definition at line 90 of file video_enc_params.h.

Referenced by av_video_enc_params_block().

## type

enum AVVideoEncParamsType AVVideoEncParams::type

Type of the parameters (the codec they are used with).

Definition at line 95 of file video_enc_params.h.

## qp

int32_t AVVideoEncParams::qp

Base quantisation parameter for the frame.

The final quantiser for a given block in a given plane is obtained from this value, possibly combined with `delta_qp` and the per-block delta in a manner documented for each type.

Definition at line 103 of file video_enc_params.h.

## delta_qp

int32_t AVVideoEncParams::delta_qp[4][2]

Quantisation parameter offset from the base (per-frame) qp for a given plane (first index) and AC/DC coefficients (second index).

Definition at line 109 of file video_enc_params.h.

The documentation for this struct was generated from the following file:

- libavutil/video_enc_params.h